#index-h2{
    font-size: 2.3rem !important;
}

@media only screen and (max-width: 575px) {
    #index-h2{
      font-size: 1.8rem !important;
  }
}

#ss-sub-title {
    width: 50%;
}

@media (min-width: 992px) {
    #ss-sub-title {
        width: 100%;
    }
}

#index-about{
    width: full;
    height: full;
    object-fit: cover;
}

#featured-text{
    color:red;
    font-style: normal !important;
}
@media (max-width: 768px){
    #index-service-image{
        display: none;
    }
}

#featured-image{
    height: 200px; width: auto;  margin-left: auto; margin-right: auto;
}

#blog-side-image img{
    width: 100%;
    height: 5rem;
    object-fit: contain;
}

#blog-image img{
    width: 100%;
    height: 16rem;
    object-fit: contain;
}

#blog-title{
        display: -webkit-box;
        -webkit-line-clamp: 1; /* Limit to 1 line */
        -webkit-box-orient: vertical;
        overflow: hidden;
        text-overflow: ellipsis;
}

#blog-content{
        display: -webkit-box;
        -webkit-line-clamp: 2; /* Limit to 2 lines */
        -webkit-box-orient: vertical;
        overflow: hidden;
        text-overflow: ellipsis;
        height: 2.4em; /* Approximate height for 2 lines of text */
        line-height: 1.2em; /* Line height */ 
}

/* =======================Index - Blog Details Image==========================  */

#blog-details-image img{
    width: 100%;
    height: 25rem;
    object-fit: contain;
}




#chat-button {
    display: fixed;
    color: #fff;
    background: #1087FF;
    cursor: pointer;
    font-size: 16px;
    width: 40px;
    height: 40px;
    line-height: 36px;
    right: 30px;
    position: fixed;
    bottom: 50vh;
    z-index: 444;
    box-shadow: 0 0 1px #d8d8d8;
    border-radius: 100px;
    text-align: center;
    -moz-transition: .3s;
    -webkit-transition: .3s;
    transition: .3s
}

#chat-button:hover {
    color: #fff;
    background: #E96F84;
    border-color: #E96F84
}

.chatbot-popup {
    display: none;
    position: fixed;
    bottom: 5vh;
    right: 20px;
    background-color: #fff;
    border-radius: 15px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
    width: 350px;
    max-width: 90%;
    z-index: 1000;
}
.chat-header {
    background-color: #1087FF;
    color: #fff;
    padding: 15px 20px;
    border-top-left-radius: 15px;
    border-top-right-radius: 15px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
#close-btn {
    background-color: transparent;
    border: none;
    color: #fff;
    font-size: 20px;
    cursor: pointer;
}
.chat-box {
    max-height: 350px;
    overflow-y: auto;
    padding: 15px 20px;
}
.chat-input {
    display: flex;
    align-items: center;
    padding: 10px 20px;
    border-top: 1px solid #ddd;
}
#user-input {
    font-family: "Poppins";
    flex: 1;
    padding: 10px;
    border: 1px solid #ddd;
    border-radius: 12px;
    outline: none;
}
#send-btn {
    font-family: "Poppins", sans-serif;
    padding: 10px 20px;
    border: none;
    background-color: #1087FF;
    color: #fff;
    border-radius: 12px;
    margin-left: 10px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}
#send-btn:hover {
    background-color: #0074CC;
}
.user-message {
    background-color: #f3f3f3;
    color: #333;
    padding: 14px;
    border-radius: 15px;
    margin-bottom: 15px;
    margin-top: 15px;
    margin-left: 10px; /* Push user message to the left */
    position: relative;
    display: flex;
    align-items: center;
    flex-direction: row-reverse; /* Move user message to the right */
}
.user-message::before {
    content: "\1F468"; /* Man emoji */
    position: absolute;
    bottom: -17px;
    right: -20px;
    margin-bottom: 7px;
    font-size: 20px;
    background-color: #1087FF;
    color: #fff;
    border-radius: 50%;
    width: 30px;
    height: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.3);
}
.bot-message {
    background-color: #1087FF;
    color: #fff;
    padding: 14px;
    border-radius: 15px;
    margin-bottom: 10px;
    margin-top: 15px;
    align-self: flex-start; /* Move bot message to the left */
    margin-right: 10px; /* Push bot message to the right */
    position: relative;
    display: flex;
    align-items: center;
    flex-direction: column; /* Adjust for button placement */
}
.bot-message::before {
    content: "\1F916"; /* Robot emoji */
    position: absolute;
    bottom: -17px;
    left: -14px;
    margin-bottom: 4px;
    font-size: 20px;
    background-color: #1087FF;
    color: #fff;
    border-radius: 50%;
    width: 30px;
    height: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.3);
}
.button-container {
    display: flex;
    justify-content: space-around;
    margin-top: 10px;
}
.button-container button {
    padding: 10px 50px;
    border: none;
    background-color: #1087FF;
    color: #fff;
    border-radius: 10px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}
.button-container button:hover {
    background-color: #0074CC;
}